Base URL: https://demo-api.incodesmile.com — Incode demo environment
This endpoint calls the global watchlist api (currently only Tier 2), and gets the latest gathered result.
Path & query parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
api-version |
header | string | yes |
Request body
Content-Type: application/json
| Field | Type | Required | Description |
|---|---|---|---|
firstName |
string | ||
surName |
string | ||
birthYear |
integer (int32) | Year of birth, if known | |
countryCodes |
array[object] | ||
watchlistTypes |
array[object] | ||
subscribe |
boolean | Subscribes to updates on the watchlists to receive notification for updates on the search. | |
fuzziness |
number (float) | Determines how closely the returned results must match the supplied name. | |
search_profile |
string | Search profile set for the client to use specify what sources they will be searching against. |
Responses
200
OK
400
Bad Request
Response body (application/json):
| Field | Type | Required | Description |
|---|---|---|---|
timestamp |
integer (int64) | UTC timestamp in milliseconds | |
status |
integer (int32) | Custom error code or HTTP status code | |
error |
string | HTTP status error | |
message |
string | Custom error message | |
path |
string | Endpoint path | |
details |
object | Custom error details |